GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Member Functions | Static Protected Member Functions | Friends
gdcm::Dicts Class Reference

Class to manipulate the sum of knowledge (all the dict user load) More...

`#include <gdcmDicts.h>`

List of all members.

## Public Member Functions

| Dicts ()
| ~Dicts ()
const CSAHeaderDict & | GetCSAHeaderDict () const
const DictEntry & | GetDictEntry (const Tag &tag, const char *owner=NULL) const
const DictEntry & | GetDictEntry (const PrivateTag &tag) const
const PrivateDict & | GetPrivateDict () const
PrivateDict & | GetPrivateDict ()
const Dict & | GetPublicDict () const
bool | IsEmpty () const

## Protected Types

enum | ConstructorType { PHILIPS, GEMS, SIEMENS }

## Protected Member Functions

void | LoadDefaults ()

## Static Protected Member Functions

static const char * | GetConstructorString (ConstructorType type)

## Friends

class | Global
std::ostream & | operator<< (std::ostream &_os, const Dicts &d)

## Detailed Description

Class to manipulate the sum of knowledge (all the dict user load)

Note:
  bla

Examples:
  GenAllVR.cxx, GenFakeIdentifyFile.cxx, PublicDict.cxx, ReadAndPrintAttributes.cxx, and TraverseModules.cxx.

## Member Enumeration Documentation

enum gdcm::Dicts::ConstructorType`[protected]`

Enumerator:

  PHILIPS |
  GEMS |
  SIEMENS |

## Constructor & Destructor Documentation

gdcm::Dicts::Dicts | ( |  | ) |

gdcm::Dicts::~Dicts | ( |  | ) |

## Member Function Documentation

static const char* gdcm::Dicts::GetConstructorString | ( | ConstructorType | type | ) | `[static, protected]`

const CSAHeaderDict& gdcm::Dicts::GetCSAHeaderDict | ( |  | ) | const

Examples:
  MrProtocol.cxx.

const DictEntry& gdcm::Dicts::GetDictEntry | ( | const Tag & | tag,
|  | const char * | owner = `NULL`
| ) |  | const

works for both public and private dicts: owner is null for public dict

Warning:
  owner need to be set to appropriate owner for call to work. see

Examples:
  PublicDict.cxx.

const DictEntry& gdcm::Dicts::GetDictEntry | ( | const PrivateTag & | tag | ) | const

const PrivateDict& gdcm::Dicts::GetPrivateDict | ( |  | ) | const

PrivateDict& gdcm::Dicts::GetPrivateDict | ( |  | ) |

const Dict& gdcm::Dicts::GetPublicDict | ( |  | ) | const

Examples:
  GenAllVR.cxx, GenFakeIdentifyFile.cxx, PublicDict.cxx, and ReadAndPrintAttributes.cxx.

bool gdcm::Dicts::IsEmpty | ( |  | ) | const`[inline]`

References gdcm::Dict::IsEmpty().

void gdcm::Dicts::LoadDefaults | ( |  | ) | `[protected]`

## Friends And Related Function Documentation

friend class Global`[friend]`

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const Dicts & | d
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmDicts.h